Description
Nice-to-have feature:

Add a way to lock a playlist in order to prevent it from being edited or deleted

When people not used to Audacious use your Audacious setup, it usually ends with missing songs, or unwanted extra songs in the

playlist, and sometimes even missing playlist itself.

It would be nice to be able to lock playlists to avoid that, for example by adding an item in the context menu on the playlist. Thus one
could have locked playlists, and still keep an unlocked playlist to let people add songs and listen to them, without destroying your

own playlists.

History

#1 - August 24, 2016 23:31 - John Lindgren

- Tracker changed from Bug to Feature

Almost but not quite a duplicate of #190.

#2 - August 25, 2016 00:08 - Quentin SADERNE

As you say, "almost but not quite”

Protecting from closing is OK, but protecting from editing is needed as well.

Anyway, | can't find this optional dialog you were talking about...
How can | activate it?

#3 - August 25, 2016 02:49 - John Lindgren

If you don't see a confirmation dialog on deleting a playlist, you probably clicked "don't show this again" at some point in the past. Look for a line
reading no_confirm_playlist_delete=TRUE in ~/.config/audacious/config and delete that line.

#4 - December 02, 2019 20:54 - John Lindgren

- Category set to core

#5 - December 06, 2019 01:56 - John Lindgren
- Subject changed from Lock playlists to Allow making a playlist read-only

#6 - April 14, 2020 14:48 - John Lindgren

- Status changed from New to Rejected

Closing feature requests that have not seen activity in over 3 years

July 02, 2025
